<script lang="ts">
	import CardButton from '../../ui/CardButton.svelte';

	import turnkeyLocationTypes from '../../provider/TurnkeyLocationTypes';

	export let value: string;

	let setValue = function (newValue: string): void {
		value = newValue;
	};
</script>

<div class="d-flex flex-wrap flex-column flex-lg-row align-items-between justify-content-start justify-content-xl-between mb-2">
	{#each turnkeyLocationTypes as locationType}
	<div class="location-wrapper mb-3">
		<CardButton
			heading={locationType.name}
			multipleSelect={false}
			active={value === locationType.id}
			faded={value !== locationType.id && value !== ''}
			on:activated={() => setValue(locationType.id)}
		>
			<div slot="card-body-content">
				<div class="d-flex align-items-center w-100">
					<div style="width: 17%">
						<img
							src="/img/flags/{ locationType.countryCode }.png"
							alt="Flag of {locationType.countryName}"
							/>
					</div>

					<div class="flex-fill ps-2">{locationType.countryName}</div>
				</div>
			</div>
		</CardButton>
	</div>
	{/each}
</div>

<p class="lead">
	Choose a location based on your <strong>network performance</strong> (latency) and <strong>data protection</strong> needs.
</p>

<style>
	.location-wrapper {
		width: 100%;
		margin: 0 3px;
	}

	@media only screen and (min-width: 1200px) {
		.location-wrapper {
			max-width: 239px;
		}
	}
</style>
